%define oversion	3_1_2
%define date		20120814
%define tarname		linux_source_%{oversion}_%{date}

Name:		ekd
Version:	3.1.2
Release:	%mkrel 1
License:	GPLv3
Group:		Video
Summary:	Tools to  make post-production operations for video files and images
Summary(fr_FR):	Outils pour faire des opérations de post-production sur fichiers vidéos/images
URL:		http://ekd.tuxfamily.org/
Source0:	http://sourceforge.net/projects/ekd/files/ekd/3.1.2/GNU-Linux/%{name}_%{tarname}.tar.gz
Patch0:		ekd-3_1_2-mga-fix-lang-install-path.patch
BuildArch:	noarch

BuildRequires:	desktop-file-utils
BuildRequires:	python-qt4

Requires:	imagemagick
Requires:	ffmpeg
Requires:	ffmpeg2theora
Requires:	mencoder
Requires:	mjpegtools
Requires:	mplayer
Requires:	python-imaging
Requires:	python-numpy
Requires:	python-qt4
Requires:	sox


%description
EKD is a freeware that aims to make post-production processing for videos 
and images. Regarding images, EKD makes some batch processing. 
    
%description -l fr_FR
EKD est un logiciel libre qui se propose de faire des opérations de 
post-production aussi bien pour des vidéos, que pour des images. 
En ce qui concerne les images, EKD fait du traitement par lots. 
     
%prep
%setup -q -n %{name}_%{tarname}
%patch0 -p 0

# Installing languages files
export BUILDROOT="./"
python langues_inst_deb/gestion_des_langues_usr_share_ekd.py

# For cleaning
mkdir -p extra
mv \
   {install_ekd_linux_admin.py,ekd_outils_traduction.py} \
   {gestion_des_langues_en_local.py,mo_compile.py,langues_inst_deb} \
   extra

rm -f *.in
rm -f *.log
rm -f install-sh
rm -f setup-py2exe.py
rm -rf debian

%build


%install
mkdir -p %{buildroot}%{_bindir}
echo -e '#!/bin/sh\ncd %{_datadir}/%{name} && python ekd_gui.py'> %{buildroot}%{_bindir}/%{name}
find %{buildroot} -regex ".*\.la$" | xargs rm -f --

mkdir -p %{buildroot}%{_datadir}/%{name}
cp -vr {gui*,extra,m*,ekd*.py,Icones,videoporama} %{buildroot}%{_datadir}/%{name}

# For icons
mkdir -p %{buildroot}%{_datadir}/pixmaps
cp icone_ekd.png %{buildroot}%{_datadir}/pixmaps/%{name}.png

# Creating the .desktop file
mkdir -p %{buildroot}%{_datadir}/applications
cat > %{name}.desktop << EOF
[Desktop Entry]
Name=Ekd
Name[fr]=Ekd
Comment=Tools to make post production operations for video files and images
Comment[fr]=Outils pour faire des opérations de post-production pour des fichiers vidéos images
Exec=%{name}
Icon=%{name}.png
StartupNotify=true
Type=Application
Categories=AudioVideo;AudioVideoEditing;Qt;
EOF

desktop-file-install --vendor="" --dir %{buildroot}%{_datadir}/applications %{name}.desktop

# Install translations
pushd ./locale
for f in de_AT de_BE de_CH de_DE de_FR de_HU de_IT de_LI de_LU de_PL en_AG en_AI en_AS en_AU en_BB \
	 en_BE en_BM en_BN en_BS en_BW en_BZ en_CA en_CK en_CM en_DM en_EN en_FJ en_FK en_GB en_GD \
	 en_GI en_GY en_HK en_IE en_IL en_IN en_IO en_JM en_KE en_KI en_KN en_KY en_LC en_LR en_LS \
	 en_MH en_MS en_MT en_MU en_MW en_NA en_NF en_NG en_NR en_NZ en_PG en_PH en_PK en_PN en_PR en_PW \
	 en_RW en_SB en_SC en_SH en_SL en_SZ en_TC en_TK en_TO en_TT en_UG en_UM en_US en_VC en_VG en_VI \
	 en_WS en_ZA en_ZM en_ZW es_AR es_BO es_CA es_CL es_CO es_CR es_CU es_ES es_GT es_HN es_MX es_NI \
	 es_PA es_PE es_US es_UY es_VE nl_AN nl_AW nl_BE nl_NL pt_AO pt_BR pt_CV pt_GW pt_MZ pt_PT pt_ST \
	 pt_TL;
do
		poname=${f:0:5}
		mkdir -p %{buildroot}%{_datadir}/locale/$poname/LC_MESSAGES
		install -m 644 $poname/LC_MESSAGES/%{name}*.mo \
		"%{buildroot}%{_datadir}/locale/$poname/LC_MESSAGES/"
done
popd

%find_lang %{name} %{name}Doc

%files -f %{name}.lang 
%doc *.txt *.html
%attr(0755,root,root) %{_bindir}/%{name}
%{_datadir}/%{name}/
%{_datadir}/applications/%{name}.desktop
%{_datadir}/pixmaps/%{name}.png


%changelog
* Fri Aug 23 2013 david.david (MLO Team) <david.david> 3.1.2-1.mga2
+ Build package for Mageia 2 (Core)
- imported package ekd
- version: 3.1.2
